VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::vmon::Service Interface Reference

The `Service` interface provides methods to manage a single/set of services that are managed by vMon. More...

Inherited by vmware::appliance::vmon::ServiceStub.

List of all members.

## Public Member Functions
void | Start (string service)
| Starts a service.
void | Start (string service, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Starts a service.
global::System.Threading.Tasks.Task | StartAsync (string service)
| Starts a service.
global::System.Threading.Tasks.Task | StartAsync (string service, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Starts a service.
void | Stop (string service)
| Stops a service.
void | Stop (string service, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Stops a service.
global::System.Threading.Tasks.Task | StopAsync (string service)
| Stops a service.
global::System.Threading.Tasks.Task | StopAsync (string service, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Stops a service.
void | Restart (string service)
| Restarts a service.
void | Restart (string service, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Restarts a service.
global::System.Threading.Tasks.Task | RestartAsync (string service)
| Restarts a service.
global::System.Threading.Tasks.Task | RestartAsync (string service, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Restarts a service.
vmware.appliance.vmon.ServiceTypes.Info | Get (string service)
| Returns the state of a service.
vmware.appliance.vmon.ServiceTypes.Info | Get (string service, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the state of a service.
global::System.Threading.Tasks.Task < vmware.appliance.vmon.ServiceTypes.Info > | GetAsync (string service)
| Returns the state of a service.
global::System.Threading.Tasks.Task < vmware.appliance.vmon.ServiceTypes.Info > | GetAsync (string service, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the state of a service.
void | Update (string service, vmware.appliance.vmon.ServiceTypes.UpdateSpec spec)
| Updates the properties of a service.
void | Update (string service, vmware.appliance.vmon.ServiceTypes.UpdateSpec spec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Updates the properties of a service.
global::System.Threading.Tasks.Task | UpdateAsync (string service, vmware.appliance.vmon.ServiceTypes.UpdateSpec spec)
| Updates the properties of a service.
global::System.Threading.Tasks.Task | UpdateAsync (string service, vmware.appliance.vmon.ServiceTypes.UpdateSpec spec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Updates the properties of a service.
global::System.Collections.Generic.Dictionary < string, vmware.appliance.vmon.ServiceTypes.Info > | ListDetails ()
| Lists details of services managed by vMon.
global::System.Collections.Generic.Dictionary < string, vmware.appliance.vmon.ServiceTypes.Info > | ListDetails (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Lists details of services managed by vMon.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.Dictionary < string, vmware.appliance.vmon.ServiceTypes.Info > > | ListDetailsAsync ()
| Lists details of services managed by vMon.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.Dictionary < string, vmware.appliance.vmon.ServiceTypes.Info > > | ListDetailsAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Lists details of services managed by vMon.

## Detailed Description

The `Service` interface provides methods to manage a single/set of services that are managed by vMon.

## Member Function Documentation

vmware.appliance.vmon.ServiceTypes.Info vmware::appliance::vmon::Service::Get | ( | string | service | ) |

Returns the state of a service.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the service associated with service does not exist.
  vmware.vapi.std.errors.Error | if any other error occurs during the execution of the operation.

Parameters:

  service | identifier of the service whose state is being queried. The parameter must be an identifier for the resource type: `com.vmware.appliance.vmon.Service` .

Returns:
  Service Info structure.

Implemented in vmware::appliance::vmon::ServiceStub.

vmware.appliance.vmon.ServiceTypes.Info vmware::appliance::vmon::Service::Get | ( | string | service,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns the state of a service.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the service associated with service does not exist.
  vmware.vapi.std.errors.Error | if any other error occurs during the execution of the operation.

Parameters:

  service | identifier of the service whose state is being queried. The parameter must be an identifier for the resource type: `com.vmware.appliance.vmon.Service` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Service Info structure.

Implemented in vmware::appliance::vmon::ServiceStub.

global::System.Threading.Tasks.Task<vmware.appliance.vmon.ServiceTypes.Info> vmware::appliance::vmon::Service::GetAsync | ( | string | service,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns the state of a service.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the service associated with service does not exist.
  vmware.vapi.std.errors.Error | if any other error occurs during the execution of the operation.

Parameters:

  service | identifier of the service whose state is being queried. The parameter must be an identifier for the resource type: `com.vmware.appliance.vmon.Service` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Service Info structure.

Implemented in vmware::appliance::vmon::ServiceStub.

global::System.Threading.Tasks.Task<vmware.appliance.vmon.ServiceTypes.Info> vmware::appliance::vmon::Service::GetAsync | ( | string | service | ) |

Returns the state of a service.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the service associated with service does not exist.
  vmware.vapi.std.errors.Error | if any other error occurs during the execution of the operation.

Parameters:

  service | identifier of the service whose state is being queried. The parameter must be an identifier for the resource type: `com.vmware.appliance.vmon.Service` .

Returns:
  Service Info structure.

Implemented in vmware::appliance::vmon::ServiceStub.

global::System.Collections.Generic.Dictionary<string, vmware.appliance.vmon.ServiceTypes.Info> vmware::appliance::vmon::Service::ListDetails | ( |  | ) |

Lists details of services managed by vMon.

Exceptions:

  vmware.vapi.std.errors.Error | if any error occurs during the execution of the operation.

Returns:
  Map of service identifiers to service Info structures. The key in the result map will be an identifier for the resource type: `com.vmware.appliance.vmon.Service` .

Implemented in vmware::appliance::vmon::ServiceStub.

global::System.Collections.Generic.Dictionary<string, vmware.appliance.vmon.ServiceTypes.Info> vmware::appliance::vmon::Service::ListDetails | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Lists details of services managed by vMon.

Exceptions:

  vmware.vapi.std.errors.Error | if any error occurs during the execution of the operation.

Returns:
  Map of service identifiers to service Info structures. The key in the result map will be an identifier for the resource type: `com.vmware.appliance.vmon.Service` .

Implemented in vmware::appliance::vmon::ServiceStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.Dictionary<string, vmware.appliance.vmon.ServiceTypes.Info> > vmware::appliance::vmon::Service::ListDetailsAsync | ( |  | ) |

Lists details of services managed by vMon.

Exceptions:

  vmware.vapi.std.errors.Error | if any error occurs during the execution of the operation.

Returns:
  Map of service identifiers to service Info structures. The key in the result map will be an identifier for the resource type: `com.vmware.appliance.vmon.Service` .

Implemented in vmware::appliance::vmon::ServiceStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.Dictionary<string, vmware.appliance.vmon.ServiceTypes.Info> > vmware::appliance::vmon::Service::ListDetailsAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Lists details of services managed by vMon.

Exceptions:

  vmware.vapi.std.errors.Error | if any error occurs during the execution of the operation.

Returns:
  Map of service identifiers to service Info structures. The key in the result map will be an identifier for the resource type: `com.vmware.appliance.vmon.Service` .

Implemented in vmware::appliance::vmon::ServiceStub.

void vmware::appliance::vmon::Service::Restart | ( | string | service,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Restarts a service.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the service associated with service does not exist.
  vmware.vapi.std.errors.TimedOut | if any timeout occurs during the execution of the restart operation.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the operation is denied in the current state of the service. If a stop or start operation is in progress, issuing a restart operation will lead to this error.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if a restart operation is issued on a service which has startup type Service.StartupType.DISABLED
  vmware.vapi.std.errors.Error | if any other error occurs during the execution of the operation.

Parameters:

  service | identifier of the service to restart The parameter must be an identifier for the resource type: `com.vmware.appliance.vmon.Service` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::appliance::vmon::ServiceStub.

void vmware::appliance::vmon::Service::Restart | ( | string | service | ) |

Restarts a service.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the service associated with service does not exist.
  vmware.vapi.std.errors.TimedOut | if any timeout occurs during the execution of the restart operation.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the operation is denied in the current state of the service. If a stop or start operation is in progress, issuing a restart operation will lead to this error.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if a restart operation is issued on a service which has startup type Service.StartupType.DISABLED
  vmware.vapi.std.errors.Error | if any other error occurs during the execution of the operation.

Parameters:

  service | identifier of the service to restart The parameter must be an identifier for the resource type: `com.vmware.appliance.vmon.Service` .

Implemented in vmware::appliance::vmon::ServiceStub.

global::System.Threading.Tasks.Task vmware::appliance::vmon::Service::RestartAsync | ( | string | service | ) |

Restarts a service.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the service associated with service does not exist.
  vmware.vapi.std.errors.TimedOut | if any timeout occurs during the execution of the restart operation.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the operation is denied in the current state of the service. If a stop or start operation is in progress, issuing a restart operation will lead to this error.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if a restart operation is issued on a service which has startup type Service.StartupType.DISABLED
  vmware.vapi.std.errors.Error | if any other error occurs during the execution of the operation.

Parameters:

  service | identifier of the service to restart The parameter must be an identifier for the resource type: `com.vmware.appliance.vmon.Service` .

Implemented in vmware::appliance::vmon::ServiceStub.

global::System.Threading.Tasks.Task vmware::appliance::vmon::Service::RestartAsync | ( | string | service,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Restarts a service.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the service associated with service does not exist.
  vmware.vapi.std.errors.TimedOut | if any timeout occurs during the execution of the restart operation.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the operation is denied in the current state of the service. If a stop or start operation is in progress, issuing a restart operation will lead to this error.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if a restart operation is issued on a service which has startup type Service.StartupType.DISABLED
  vmware.vapi.std.errors.Error | if any other error occurs during the execution of the operation.

Parameters:

  service | identifier of the service to restart The parameter must be an identifier for the resource type: `com.vmware.appliance.vmon.Service` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::appliance::vmon::ServiceStub.

void vmware::appliance::vmon::Service::Start | ( | string | service,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Starts a service.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the service associated with service does not exist.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the operation is denied in the current state of the service. If a stop or restart operation is in progress, the start operation will not be allowed.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if start operation is issued on a service which has startup type Service.StartupType.DISABLED .
  vmware.vapi.std.errors.TimedOut | if any timeout occurs during the execution of the start operation. Timeout occurs when the service takes longer than StartTimeout to start.
  vmware.vapi.std.errors.Error | if any other error occurs during the execution of the operation.

Parameters:

  service | identifier of the service to start The parameter must be an identifier for the resource type: `com.vmware.appliance.vmon.Service` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::appliance::vmon::ServiceStub.

void vmware::appliance::vmon::Service::Start | ( | string | service | ) |

Starts a service.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the service associated with service does not exist.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the operation is denied in the current state of the service. If a stop or restart operation is in progress, the start operation will not be allowed.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if start operation is issued on a service which has startup type Service.StartupType.DISABLED .
  vmware.vapi.std.errors.TimedOut | if any timeout occurs during the execution of the start operation. Timeout occurs when the service takes longer than StartTimeout to start.
  vmware.vapi.std.errors.Error | if any other error occurs during the execution of the operation.

Parameters:

  service | identifier of the service to start The parameter must be an identifier for the resource type: `com.vmware.appliance.vmon.Service` .

Implemented in vmware::appliance::vmon::ServiceStub.

global::System.Threading.Tasks.Task vmware::appliance::vmon::Service::StartAsync | ( | string | service,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Starts a service.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the service associated with service does not exist.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the operation is denied in the current state of the service. If a stop or restart operation is in progress, the start operation will not be allowed.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if start operation is issued on a service which has startup type Service.StartupType.DISABLED .
  vmware.vapi.std.errors.TimedOut | if any timeout occurs during the execution of the start operation. Timeout occurs when the service takes longer than StartTimeout to start.
  vmware.vapi.std.errors.Error | if any other error occurs during the execution of the operation.

Parameters:

  service | identifier of the service to start The parameter must be an identifier for the resource type: `com.vmware.appliance.vmon.Service` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::appliance::vmon::ServiceStub.

global::System.Threading.Tasks.Task vmware::appliance::vmon::Service::StartAsync | ( | string | service | ) |

Starts a service.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the service associated with service does not exist.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the operation is denied in the current state of the service. If a stop or restart operation is in progress, the start operation will not be allowed.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if start operation is issued on a service which has startup type Service.StartupType.DISABLED .
  vmware.vapi.std.errors.TimedOut | if any timeout occurs during the execution of the start operation. Timeout occurs when the service takes longer than StartTimeout to start.
  vmware.vapi.std.errors.Error | if any other error occurs during the execution of the operation.

Parameters:

  service | identifier of the service to start The parameter must be an identifier for the resource type: `com.vmware.appliance.vmon.Service` .

Implemented in vmware::appliance::vmon::ServiceStub.

void vmware::appliance::vmon::Service::Stop | ( | string | service | ) |

Stops a service.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the service associated with service does not exist.
  vmware.vapi.std.errors.Error | if any other error occurs during the execution of the operation.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the operation is denied in the current state of the service. If a stop operation is in progress, issuing another stop operation will lead to this error.

Parameters:

  service | identifier of the service to stop The parameter must be an identifier for the resource type: `com.vmware.appliance.vmon.Service` .

Implemented in vmware::appliance::vmon::ServiceStub.

void vmware::appliance::vmon::Service::Stop | ( | string | service,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Stops a service.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the service associated with service does not exist.
  vmware.vapi.std.errors.Error | if any other error occurs during the execution of the operation.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the operation is denied in the current state of the service. If a stop operation is in progress, issuing another stop operation will lead to this error.

Parameters:

  service | identifier of the service to stop The parameter must be an identifier for the resource type: `com.vmware.appliance.vmon.Service` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::appliance::vmon::ServiceStub.

global::System.Threading.Tasks.Task vmware::appliance::vmon::Service::StopAsync | ( | string | service | ) |

Stops a service.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the service associated with service does not exist.
  vmware.vapi.std.errors.Error | if any other error occurs during the execution of the operation.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the operation is denied in the current state of the service. If a stop operation is in progress, issuing another stop operation will lead to this error.

Parameters:

  service | identifier of the service to stop The parameter must be an identifier for the resource type: `com.vmware.appliance.vmon.Service` .

Implemented in vmware::appliance::vmon::ServiceStub.

global::System.Threading.Tasks.Task vmware::appliance::vmon::Service::StopAsync | ( | string | service,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Stops a service.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the service associated with service does not exist.
  vmware.vapi.std.errors.Error | if any other error occurs during the execution of the operation.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the operation is denied in the current state of the service. If a stop operation is in progress, issuing another stop operation will lead to this error.

Parameters:

  service | identifier of the service to stop The parameter must be an identifier for the resource type: `com.vmware.appliance.vmon.Service` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::appliance::vmon::ServiceStub.

void vmware::appliance::vmon::Service::Update | ( | string | service,
|  | vmware.appliance.vmon.ServiceTypes.UpdateSpec | spec
| ) |  |

Updates the properties of a service.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the service associated with service does not exist.
  vmware.vapi.std.errors.Error | if any other error occurs during the execution of the operation.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the operation is denied in the current state of the service. If a start, stop or restart operation is in progress, update operation will fail with this error.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if a request to set the Service.UpdateSpec.startupType field of spec to Service.StartupType.DISABLED comes in for a service that is not in Service.State.STOPPED state.

Parameters:

  service | identifier of the service whose properties are being updated. The parameter must be an identifier for the resource type: `com.vmware.appliance.vmon.Service` .
  spec | Service Update specification.

Implemented in vmware::appliance::vmon::ServiceStub.

void vmware::appliance::vmon::Service::Update | ( | string | service,
|  | vmware.appliance.vmon.ServiceTypes.UpdateSpec | spec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Updates the properties of a service.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the service associated with service does not exist.
  vmware.vapi.std.errors.Error | if any other error occurs during the execution of the operation.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the operation is denied in the current state of the service. If a start, stop or restart operation is in progress, update operation will fail with this error.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if a request to set the Service.UpdateSpec.startupType field of spec to Service.StartupType.DISABLED comes in for a service that is not in Service.State.STOPPED state.

Parameters:

  service | identifier of the service whose properties are being updated. The parameter must be an identifier for the resource type: `com.vmware.appliance.vmon.Service` .
  spec | Service Update specification.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::appliance::vmon::ServiceStub.

global::System.Threading.Tasks.Task vmware::appliance::vmon::Service::UpdateAsync | ( | string | service,
|  | vmware.appliance.vmon.ServiceTypes.UpdateSpec | spec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Updates the properties of a service.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the service associated with service does not exist.
  vmware.vapi.std.errors.Error | if any other error occurs during the execution of the operation.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the operation is denied in the current state of the service. If a start, stop or restart operation is in progress, update operation will fail with this error.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if a request to set the Service.UpdateSpec.startupType field of spec to Service.StartupType.DISABLED comes in for a service that is not in Service.State.STOPPED state.

Parameters:

  service | identifier of the service whose properties are being updated. The parameter must be an identifier for the resource type: `com.vmware.appliance.vmon.Service` .
  spec | Service Update specification.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::appliance::vmon::ServiceStub.

global::System.Threading.Tasks.Task vmware::appliance::vmon::Service::UpdateAsync | ( | string | service,
|  | vmware.appliance.vmon.ServiceTypes.UpdateSpec | spec
| ) |  |

Updates the properties of a service.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the service associated with service does not exist.
  vmware.vapi.std.errors.Error | if any other error occurs during the execution of the operation.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the operation is denied in the current state of the service. If a start, stop or restart operation is in progress, update operation will fail with this error.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if a request to set the Service.UpdateSpec.startupType field of spec to Service.StartupType.DISABLED comes in for a service that is not in Service.State.STOPPED state.

Parameters:

  service | identifier of the service whose properties are being updated. The parameter must be an identifier for the resource type: `com.vmware.appliance.vmon.Service` .
  spec | Service Update specification.

Implemented in vmware::appliance::vmon::ServiceStub.

The documentation for this interface was generated from the following file:

- appliance/vmon/Service.cs